/*
 * Copyright 2014 (c) Anna Schumaker.
 */
extern "C" {
#include <core/audio.h>
#include <core/tempq.h>
#include <core/version.h>
#include <gui/builder.h>
}
#include <gui/ocarina.h>
#include <gui/tabs.h>

const std::string appname = "Ocarina ";

Gtk::Window *window_init()
{
	Gtk::Window *window = Glib :: wrap(GTK_WINDOW(gui_builder_widget("o_window")), false);

	window->set_title(appname + get_version());
	window->set_icon_from_file(gui :: share_file("ocarina.png"));

	return window;
}
